Bug 852787 - [abrt] gedit-3.2.6-1.fc16: __GI_raise: Process /usr/bin/gedit was killed by signal 6 (SIGABRT)
[abrt] gedit-3.2.6-1.fc16: __GI_raise: Process /usr/bin/gedit was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:4cdaee3f3655efd7ea1c1e2eadb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 11:22 EDT by Bernard Ladenthin
Modified: 2013-02-13 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:12:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (11.58 KB, text/plain)
2012-08-29 11:22 EDT, Bernard Ladenthin
no flags Details
File: geditcrash.json (4.77 KB, text/plain)
2012-08-29 11:22 EDT, Bernard Ladenthin
no flags Details
File: maps (54.80 KB, text/plain)
2012-08-29 11:22 EDT, Bernard Ladenthin
no flags Details
File: backtrace (23.01 KB, text/plain)
2012-08-29 11:22 EDT, Bernard Ladenthin
no flags Details

  None (edit)
Description Bernard Ladenthin 2012-08-29 11:22:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit /home/bernard/Downloads/editcrash.json
comment:        Hello, open the file http://ladenthin.net/geditcrash.json and the editor crash.
crash_function: __GI_raise
executable:     /usr/bin/gedit
kernel:         3.4.9-1.fc16.x86_64
pid:            21270
pwd:            /home/bernard
time:           Mi 29 Aug 2012 17:16:26 CEST
uid:            1000
username:       bernard
var_log_messages: Aug 29 17:16:27 polaris abrt[21276]: Saved core dump of pid 21270 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-08-29-17:16:26-21270 (53690368 bytes)

backtrace:      Text file, 23559 bytes
dso_list:       Text file, 11853 bytes
geditcrash.json: Binary file, 4886 bytes
maps:           Text file, 56111 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:2c2ffe21d64ba02aefe6acb804a4ea68318609fd
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:edebfad67bdac472272d049dc7ec302f47b02f32
:6788b943089846e98f7dc9cdb5dca63924909b25
:aaf62304b0fc10611d35b4f56005479d4c58868d
:f9fea7527e0deebd694acc251008975312a3f74a
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:400444fb368f79b54959b083f449a1497bf71c13
:5954d7bfe38b223be907cd2041fd537129ba4254
:b1eabdd6f67f63acd5e36164337202a692fedfc3
:124bfd663f5587288e6e0da8497fb4153469e657
:9ea81971c14b711655ced0a734db062ab7c4eec7
:545fac2346ca24589041213956b7f22f7e91c139
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:c1d5f5ac1a648ca056beb15773ff5c2206c35fc4
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:f0d50e3af2dfee021a327fb85a993a2312a98145
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:42775d7b03f3bb80f4c39e5c25851ba95a8c8f7f
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:6ea1834d77aecd46b5a612e58ab05db1367770b9
:58803db420709341d8e6a713b18e54a6e1824272
:40a6a86871e94198ac5c10fa80f1dacef289a7f7
:be507c791e34415e8f42f0e6030c889b2895cf9a
:87af0ff2815bf41b5c5889b916881c662ddd2569
:b3c60343c4ef09307cd644d5da914f6c14107c0b
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:086a89da9eda42d4accd919bf03231812aba9c25
:e46beef0b430d916987f1f58d1aefc7e1a016e10
:f2e24eed69cdecfdc16ed844c315a295459441ff
:39294193f046cf15442542705526228c60d70a6e
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:a638ccc3535e307dfbe8338df04ee414b42a606c
:f8f4d8e260ee8f3b262936920270ace01b2da537
:11f2712f09f7a33a8eb7d1a26fde0b6531319d91
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:578e66700318d8cec8e5f03778c434743a55e153
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:0911ea7c180d733724f89037b8e8a34e64024aec
:1332ce2a80617b06728747396fd63342b6f87df8
:e60ae8062b44e0d758b5f92c8f9958a06236179b
:2e4f144d6c8fb2dbb214fdbea0c327b05fa70a78
:aa8e279c789ee4664342250eed2c6ea64f9cb3ab
:4c842320387ff7f6f91b7842b223c16518be909f
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:75eaece6e0d1e075520cdfad5c398fdab4370846
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:07470201df55a5254027d05fa4dc509b10f2986a
:3bbe4d98714c66cda2944cd39900eea5d348df18
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:4415a32837ba7f07891f1a4c4e2f3b0ba2ee9271
:6462a7d2a6931ae79753c9964d65c5142033265d
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:b16b9e8cbdabffb16ea4140ce301cbd212be02ef
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:2670385f49fb9f120f7cf843f211e3c620da8632
:b7de6967148b62ea20013920d31f0002df1426ca
:3f8e1ac221c628769e28ed4a1cfddc5d90e4aaf8
:ae2d5038d6970864ef6fe0c48be689fedbc9ee2e
:1c6a95451ee19617be5abea3d121f0226d21ddda
:0edbdba2932f7eac00a06b7531328fdbcc5264b4
:719a85c49c612de86619fed98146f316432aee92
:20e57e75d5566ba8d0fd5fb3a767bd5bf32900bc
:4bc56fe20c2ec4ce2466d7fa505d48f8fea5decb
:8b69ad2ef8adde1ffce0fd95b96972a9d7d36956
:5393d882ce329cabe4ddf6bedaef1cc906664889
:984f117c0514d018adfbf8296f77ae333cd80640
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:e7160fedcf92e2c07f8883f15c71d703b9e7abcb
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7a896ce784b97721d1f6960bfba25e60511c0178
:1406558950ff100eb0320a325b3ea7961ba1a775
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=polaris.ladenthin
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9b818b6104f79a6889b5662b0000001c-1346228566.177525-472960612
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-AveZKd
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=bernard
:USERNAME=bernard
:MAIL=/var/spool/mail/bernard
:PATH=/usr/lib64/qt-3.3/bin:/usr/NX/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/bernard/bin
:DESKTOP_SESSION=gnome
:NXDIR=/usr/NX
:QT_IM_MODULE=xim
:PWD=/home/bernard
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2016
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/bernard
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=bernard
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GxYYt2Wogo,guid=6893e901942cd374f1a048ed00000050
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/bernard
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-bernard-7aVOCQ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2022,unix/unix:/tmp/.ICE-unix/2022
:GPG_AGENT_INFO=/tmp/keyring-AveZKd/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-AveZKd/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=21270
:DESKTOP_STARTUP_ID=nautilus-20638-polaris.ladenthin-gedit-19_TIME24895612
Comment 1 Bernard Ladenthin 2012-08-29 11:22:14 EDT
Created attachment 607930 [details]
File: dso_list
Comment 2 Bernard Ladenthin 2012-08-29 11:22:16 EDT
Created attachment 607931 [details]
File: geditcrash.json
Comment 3 Bernard Ladenthin 2012-08-29 11:22:19 EDT
Created attachment 607932 [details]
File: maps
Comment 4 Bernard Ladenthin 2012-08-29 11:22:21 EDT
Created attachment 607933 [details]
File: backtrace
Comment 5 Bernard Ladenthin 2012-08-29 20:30:55 EDT
I have uploaded a minimalistic file that crash gedit: http://ladenthin.net/minicrash.json

Still exist in f17 (gedit 3.4.2)

gedit minicrash.json

(gedit:9256): GtkSourceView-CRITICAL **: gtksourcecontextengine.c:2859: oops
**
GtkSourceView:ERROR:gtksourcecontextengine.c:3741:create_segment: assertion failed: (!parent || (parent->start_at <= start_at && end_at <= parent->end_at))
Aborted (core dumped)
Comment 6 Fedora End Of Life 2013-01-16 12:29:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 17:12:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.